-- Version: 7.0 SP1 7.0.1.14

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity RIP_COUNT32 is

    port(TCNT : out std_logic; Q : 
        out std_logic_vector(31 downto 0); DATA : 
        in std_logic_vector(31 downto 0); CLOCK, ACLR, ENABLE, 
        SLOAD : in std_logic);

end RIP_COUNT32;

architecture DEF_ARCH of RIP_COUNT32 is 

  component MX2A
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1E1C0
    port(D, CLK, CLR, E : in std_logic := 'U'; Q : out std_logic);
        
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component equal0
    port(DATAA : 
        in std_logic_vector(31 downto 0) := (others => 'U'); AEB : 
        out std_logic);
  end component;

    signal \$1N156\ : std_logic;
    signal CLK : std_logic_vector(31 downto 1);
    signal \CLK\, CLK_net_1, CLK_net_2, CLK_net_3, CLK_net_4, 
        CLK_net_5, CLK_net_6, CLK_net_7, CLK_net_8, CLK_net_9, 
        CLK_net_10, CLK_net_11, CLK_net_12, CLK_net_13, 
        CLK_net_14, CLK_net_15, CLK_net_16, CLK_net_17, 
        CLK_net_18, CLK_net_19, CLK_net_20, CLK_net_21, 
        CLK_net_22, CLK_net_23, CLK_net_24, CLK_net_25, 
        CLK_net_26, CLK_net_27, CLK_net_28, CLK_net_29
         : std_logic;
    signal DIN : std_logic_vector(31 downto 0);
    signal \DIN\, DIN_net_1, DIN_net_2, DIN_net_3, DIN_net_4, 
        DIN_net_5, DIN_net_6, DIN_net_7, DIN_net_8, DIN_net_9, 
        DIN_net_10, DIN_net_11, DIN_net_12, DIN_net_13, 
        DIN_net_14, DIN_net_15, DIN_net_16, DIN_net_17, 
        DIN_net_18, DIN_net_19, DIN_net_20, DIN_net_21, 
        DIN_net_22, DIN_net_23, DIN_net_24, DIN_net_25, 
        DIN_net_26, DIN_net_27, DIN_net_28, DIN_net_29, 
        DIN_net_30, \Q[0]_net_1\, \Q[31]_net_1\, \Q[30]_net_1\, 
        \Q[29]_net_1\, \Q[28]_net_1\, \Q[27]_net_1\, 
        \Q[26]_net_1\, \Q[25]_net_1\, \Q[24]_net_1\, 
        \Q[23]_net_1\, \Q[22]_net_1\, \Q[21]_net_1\, 
        \Q[20]_net_1\, \Q[19]_net_1\, \Q[18]_net_1\, 
        \Q[17]_net_1\, \Q[16]_net_1\, \Q[15]_net_1\, 
        \Q[14]_net_1\, \Q[13]_net_1\, \Q[12]_net_1\, 
        \Q[11]_net_1\, \Q[10]_net_1\, \Q[9]_net_1\, \Q[8]_net_1\, 
        \Q[7]_net_1\, \Q[6]_net_1\, \Q[5]_net_1\, \Q[4]_net_1\, 
        \Q[3]_net_1\, \Q[2]_net_1\, \Q[1]_net_1\ : std_logic;

begin 

    Q(31) <= \Q[31]_net_1\;
    Q(30) <= \Q[30]_net_1\;
    Q(29) <= \Q[29]_net_1\;
    Q(28) <= \Q[28]_net_1\;
    Q(27) <= \Q[27]_net_1\;
    Q(26) <= \Q[26]_net_1\;
    Q(25) <= \Q[25]_net_1\;
    Q(24) <= \Q[24]_net_1\;
    Q(23) <= \Q[23]_net_1\;
    Q(22) <= \Q[22]_net_1\;
    Q(21) <= \Q[21]_net_1\;
    Q(20) <= \Q[20]_net_1\;
    Q(19) <= \Q[19]_net_1\;
    Q(18) <= \Q[18]_net_1\;
    Q(17) <= \Q[17]_net_1\;
    Q(16) <= \Q[16]_net_1\;
    Q(15) <= \Q[15]_net_1\;
    Q(14) <= \Q[14]_net_1\;
    Q(13) <= \Q[13]_net_1\;
    Q(12) <= \Q[12]_net_1\;
    Q(11) <= \Q[11]_net_1\;
    Q(10) <= \Q[10]_net_1\;
    Q(9) <= \Q[9]_net_1\;
    Q(8) <= \Q[8]_net_1\;
    Q(7) <= \Q[7]_net_1\;
    Q(6) <= \Q[6]_net_1\;
    Q(5) <= \Q[5]_net_1\;
    Q(4) <= \Q[4]_net_1\;
    Q(3) <= \Q[3]_net_1\;
    Q(2) <= \Q[2]_net_1\;
    Q(1) <= \Q[1]_net_1\;
    Q(0) <= \Q[0]_net_1\;

    \$1I37_ARRAY_24\ : MX2A
      port map(A => \Q[8]_net_1\, B => DATA(8), S => SLOAD, Y => 
        DIN_net_23);
    
    \$1I82_ARRAY_4\ : MX2
      port map(A => \Q[27]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_2);
    
    \$1I113_ARRAY_19\ : DFN1E1C0
      port map(D => DIN_net_18, CLK => CLK_net_17, CLR => ACLR, E
         => \$1N156\, Q => \Q[13]_net_1\);
    
    \$1I113_ARRAY_2\ : DFN1E1C0
      port map(D => DIN_net_1, CLK => \CLK\, CLR => ACLR, E => 
        \$1N156\, Q => \Q[30]_net_1\);
    
    \$1I113_ARRAY_20\ : DFN1E1C0
      port map(D => DIN_net_19, CLK => CLK_net_18, CLR => ACLR, E
         => \$1N156\, Q => \Q[12]_net_1\);
    
    \$1I37_ARRAY_23\ : MX2A
      port map(A => \Q[9]_net_1\, B => DATA(9), S => SLOAD, Y => 
        DIN_net_22);
    
    \$1I113_ARRAY_1\ : DFN1E1C0
      port map(D => \DIN\, CLK => CLK(31), CLR => ACLR, E => 
        \$1N156\, Q => \Q[31]_net_1\);
    
    \$1I37_ARRAY_5\ : MX2A
      port map(A => \Q[27]_net_1\, B => DATA(27), S => SLOAD, Y
         => DIN_net_4);
    
    \$1I37_ARRAY_1\ : MX2A
      port map(A => \Q[31]_net_1\, B => DATA(31), S => SLOAD, Y
         => \DIN\);
    
    \$1I113_ARRAY_10\ : DFN1E1C0
      port map(D => DIN_net_9, CLK => CLK_net_8, CLR => ACLR, E
         => \$1N156\, Q => \Q[22]_net_1\);
    
    \$1I1\ : DFN1E1C0
      port map(D => DIN(0), CLK => CLOCK, CLR => ACLR, E => 
        \$1N156\, Q => \Q[0]_net_1\);
    
    \$1I82_ARRAY_9\ : MX2
      port map(A => \Q[22]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_7);
    
    \$1I37_ARRAY_32\ : MX2A
      port map(A => \Q[0]_net_1\, B => DATA(0), S => SLOAD, Y => 
        DIN(0));
    
    \$1I37_ARRAY_21\ : MX2A
      port map(A => \Q[11]_net_1\, B => DATA(11), S => SLOAD, Y
         => DIN_net_20);
    
    \$1I37_ARRAY_6\ : MX2A
      port map(A => \Q[26]_net_1\, B => DATA(26), S => SLOAD, Y
         => DIN_net_5);
    
    \$1I113_ARRAY_28\ : DFN1E1C0
      port map(D => DIN_net_27, CLK => CLK_net_26, CLR => ACLR, E
         => \$1N156\, Q => \Q[4]_net_1\);
    
    \$1I82_ARRAY_27\ : MX2
      port map(A => \Q[4]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_25);
    
    \$1I37_ARRAY_7\ : MX2A
      port map(A => \Q[25]_net_1\, B => DATA(25), S => SLOAD, Y
         => DIN_net_6);
    
    \$1I113_ARRAY_5\ : DFN1E1C0
      port map(D => DIN_net_4, CLK => CLK_net_3, CLR => ACLR, E
         => \$1N156\, Q => \Q[27]_net_1\);
    
    \$1I113_ARRAY_25\ : DFN1E1C0
      port map(D => DIN_net_24, CLK => CLK_net_23, CLR => ACLR, E
         => \$1N156\, Q => \Q[7]_net_1\);
    
    \$1I82_ARRAY_7\ : MX2
      port map(A => \Q[24]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_5);
    
    \$1I113_ARRAY_18\ : DFN1E1C0
      port map(D => DIN_net_17, CLK => CLK_net_16, CLR => ACLR, E
         => \$1N156\, Q => \Q[14]_net_1\);
    
    \$1I82_ARRAY_29\ : MX2
      port map(A => \Q[2]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_27);
    
    \$1I82_ARRAY_30\ : MX2
      port map(A => \Q[1]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_28);
    
    \$1I82_ARRAY_25\ : MX2
      port map(A => \Q[6]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_23);
    
    \$1I82_ARRAY_17\ : MX2
      port map(A => \Q[14]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_15);
    
    \$1I113_ARRAY_15\ : DFN1E1C0
      port map(D => DIN_net_14, CLK => CLK_net_13, CLR => ACLR, E
         => \$1N156\, Q => \Q[17]_net_1\);
    
    \$1I82_ARRAY_3\ : MX2
      port map(A => \Q[28]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_1);
    
    \$1I37_ARRAY_20\ : MX2A
      port map(A => \Q[12]_net_1\, B => DATA(12), S => SLOAD, Y
         => DIN_net_19);
    
    \$1I82_ARRAY_19\ : MX2
      port map(A => \Q[12]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_17);
    
    \$1I113_ARRAY_4\ : DFN1E1C0
      port map(D => DIN_net_3, CLK => CLK_net_2, CLR => ACLR, E
         => \$1N156\, Q => \Q[28]_net_1\);
    
    \$1I82_ARRAY_15\ : MX2
      port map(A => \Q[16]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_13);
    
    \$1I82_ARRAY_26\ : MX2
      port map(A => \Q[5]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_24);
    
    \$1I37_ARRAY_3\ : MX2A
      port map(A => \Q[29]_net_1\, B => DATA(29), S => SLOAD, Y
         => DIN_net_2);
    
    \$1I37_ARRAY_28\ : MX2A
      port map(A => \Q[4]_net_1\, B => DATA(4), S => SLOAD, Y => 
        DIN_net_27);
    
    \$1I37_ARRAY_14\ : MX2A
      port map(A => \Q[18]_net_1\, B => DATA(18), S => SLOAD, Y
         => DIN_net_13);
    
    \$1I82_ARRAY_20\ : MX2
      port map(A => \Q[11]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_18);
    
    \$1I82_ARRAY_16\ : MX2
      port map(A => \Q[15]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_14);
    
    \$1I82_ARRAY_2\ : MX2
      port map(A => \Q[29]_net_1\, B => CLOCK, S => SLOAD, Y => 
        \CLK\);
    
    \$1I37_ARRAY_13\ : MX2A
      port map(A => \Q[19]_net_1\, B => DATA(19), S => SLOAD, Y
         => DIN_net_12);
    
    \$1I113_ARRAY_31\ : DFN1E1C0
      port map(D => DIN_net_30, CLK => CLK_net_29, CLR => ACLR, E
         => \$1N156\, Q => \Q[1]_net_1\);
    
    \$1I82_ARRAY_10\ : MX2
      port map(A => \Q[21]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_8);
    
    \$1I82_ARRAY_1\ : MX2
      port map(A => \Q[30]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK(31));
    
    \$1I113_ARRAY_9\ : DFN1E1C0
      port map(D => DIN_net_8, CLK => CLK_net_7, CLR => ACLR, E
         => \$1N156\, Q => \Q[23]_net_1\);
    
    \$1I37_ARRAY_11\ : MX2A
      port map(A => \Q[21]_net_1\, B => DATA(21), S => SLOAD, Y
         => DIN_net_10);
    
    \$1I37_ARRAY_27\ : MX2A
      port map(A => \Q[5]_net_1\, B => DATA(5), S => SLOAD, Y => 
        DIN_net_26);
    
    \$1I82_ARRAY_28\ : MX2
      port map(A => \Q[3]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_26);
    
    \$1I113_ARRAY_3\ : DFN1E1C0
      port map(D => DIN_net_2, CLK => CLK_net_1, CLR => ACLR, E
         => \$1N156\, Q => \Q[29]_net_1\);
    
    \$1I82_ARRAY_23\ : MX2
      port map(A => \Q[8]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_21);
    
    \$1I113_ARRAY_30\ : DFN1E1C0
      port map(D => DIN_net_29, CLK => CLK_net_28, CLR => ACLR, E
         => \$1N156\, Q => \Q[2]_net_1\);
    
    \$1I82_ARRAY_22\ : MX2
      port map(A => \Q[9]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_20);
    
    \$1I37_ARRAY_26\ : MX2A
      port map(A => \Q[6]_net_1\, B => DATA(6), S => SLOAD, Y => 
        DIN_net_25);
    
    \$1I37_ARRAY_25\ : MX2A
      port map(A => \Q[7]_net_1\, B => DATA(7), S => SLOAD, Y => 
        DIN_net_24);
    
    \$1I82_ARRAY_18\ : MX2
      port map(A => \Q[13]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_16);
    
    \$1I37_ARRAY_29\ : MX2A
      port map(A => \Q[3]_net_1\, B => DATA(3), S => SLOAD, Y => 
        DIN_net_28);
    
    \$1I37_ARRAY_22\ : MX2A
      port map(A => \Q[10]_net_1\, B => DATA(10), S => SLOAD, Y
         => DIN_net_21);
    
    \$1I37_ARRAY_10\ : MX2A
      port map(A => \Q[22]_net_1\, B => DATA(22), S => SLOAD, Y
         => DIN_net_9);
    
    \$1I153\ : OR2
      port map(A => SLOAD, B => ENABLE, Y => \$1N156\);
    
    \$1I82_ARRAY_13\ : MX2
      port map(A => \Q[18]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_11);
    
    \$1I113_ARRAY_8\ : DFN1E1C0
      port map(D => DIN_net_7, CLK => CLK_net_6, CLR => ACLR, E
         => \$1N156\, Q => \Q[24]_net_1\);
    
    \$1I82_ARRAY_12\ : MX2
      port map(A => \Q[19]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_10);
    
    \$1I37_ARRAY_8\ : MX2A
      port map(A => \Q[24]_net_1\, B => DATA(24), S => SLOAD, Y
         => DIN_net_7);
    
    \$1I113_ARRAY_24\ : DFN1E1C0
      port map(D => DIN_net_23, CLK => CLK_net_22, CLR => ACLR, E
         => \$1N156\, Q => \Q[8]_net_1\);
    
    \$1I113_ARRAY_22\ : DFN1E1C0
      port map(D => DIN_net_21, CLK => CLK_net_20, CLR => ACLR, E
         => \$1N156\, Q => \Q[10]_net_1\);
    
    \$1I82_ARRAY_31\ : MX2
      port map(A => \Q[0]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_29);
    
    \$1I37_ARRAY_18\ : MX2A
      port map(A => \Q[14]_net_1\, B => DATA(14), S => SLOAD, Y
         => DIN_net_17);
    
    \$1I113_ARRAY_14\ : DFN1E1C0
      port map(D => DIN_net_13, CLK => CLK_net_12, CLR => ACLR, E
         => \$1N156\, Q => \Q[18]_net_1\);
    
    \$1I113_ARRAY_12\ : DFN1E1C0
      port map(D => DIN_net_11, CLK => CLK_net_10, CLR => ACLR, E
         => \$1N156\, Q => \Q[20]_net_1\);
    
    \$1I37_ARRAY_31\ : MX2A
      port map(A => \Q[1]_net_1\, B => DATA(1), S => SLOAD, Y => 
        DIN_net_30);
    
    \$1I113_ARRAY_26\ : DFN1E1C0
      port map(D => DIN_net_25, CLK => CLK_net_24, CLR => ACLR, E
         => \$1N156\, Q => \Q[6]_net_1\);
    
    \$1I113_ARRAY_27\ : DFN1E1C0
      port map(D => DIN_net_26, CLK => CLK_net_25, CLR => ACLR, E
         => \$1N156\, Q => \Q[5]_net_1\);
    
    \$1I113_ARRAY_16\ : DFN1E1C0
      port map(D => DIN_net_15, CLK => CLK_net_14, CLR => ACLR, E
         => \$1N156\, Q => \Q[16]_net_1\);
    
    \$1I37_ARRAY_2\ : MX2A
      port map(A => \Q[30]_net_1\, B => DATA(30), S => SLOAD, Y
         => DIN_net_1);
    
    \$1I113_ARRAY_17\ : DFN1E1C0
      port map(D => DIN_net_16, CLK => CLK_net_15, CLR => ACLR, E
         => \$1N156\, Q => \Q[15]_net_1\);
    
    \$1I82_ARRAY_21\ : MX2
      port map(A => \Q[10]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_19);
    
    \$1I37_ARRAY_30\ : MX2A
      port map(A => \Q[2]_net_1\, B => DATA(2), S => SLOAD, Y => 
        DIN_net_29);
    
    \$1I37_ARRAY_17\ : MX2A
      port map(A => \Q[15]_net_1\, B => DATA(15), S => SLOAD, Y
         => DIN_net_16);
    
    \$1I113_ARRAY_23\ : DFN1E1C0
      port map(D => DIN_net_22, CLK => CLK_net_21, CLR => ACLR, E
         => \$1N156\, Q => \Q[9]_net_1\);
    
    \$1I37_ARRAY_4\ : MX2A
      port map(A => \Q[28]_net_1\, B => DATA(28), S => SLOAD, Y
         => DIN_net_3);
    
    \$1I149\ : equal0
      port map(DATAA(31) => \Q[31]_net_1\, DATAA(30) => 
        \Q[30]_net_1\, DATAA(29) => \Q[29]_net_1\, DATAA(28) => 
        \Q[28]_net_1\, DATAA(27) => \Q[27]_net_1\, DATAA(26) => 
        \Q[26]_net_1\, DATAA(25) => \Q[25]_net_1\, DATAA(24) => 
        \Q[24]_net_1\, DATAA(23) => \Q[23]_net_1\, DATAA(22) => 
        \Q[22]_net_1\, DATAA(21) => \Q[21]_net_1\, DATAA(20) => 
        \Q[20]_net_1\, DATAA(19) => \Q[19]_net_1\, DATAA(18) => 
        \Q[18]_net_1\, DATAA(17) => \Q[17]_net_1\, DATAA(16) => 
        \Q[16]_net_1\, DATAA(15) => \Q[15]_net_1\, DATAA(14) => 
        \Q[14]_net_1\, DATAA(13) => \Q[13]_net_1\, DATAA(12) => 
        \Q[12]_net_1\, DATAA(11) => \Q[11]_net_1\, DATAA(10) => 
        \Q[10]_net_1\, DATAA(9) => \Q[9]_net_1\, DATAA(8) => 
        \Q[8]_net_1\, DATAA(7) => \Q[7]_net_1\, DATAA(6) => 
        \Q[6]_net_1\, DATAA(5) => \Q[5]_net_1\, DATAA(4) => 
        \Q[4]_net_1\, DATAA(3) => \Q[3]_net_1\, DATAA(2) => 
        \Q[2]_net_1\, DATAA(1) => \Q[1]_net_1\, DATAA(0) => 
        \Q[0]_net_1\, AEB => TCNT);
    
    \$1I113_ARRAY_13\ : DFN1E1C0
      port map(D => DIN_net_12, CLK => CLK_net_11, CLR => ACLR, E
         => \$1N156\, Q => \Q[19]_net_1\);
    
    \$1I82_ARRAY_11\ : MX2
      port map(A => \Q[20]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_9);
    
    \$1I37_ARRAY_9\ : MX2A
      port map(A => \Q[23]_net_1\, B => DATA(23), S => SLOAD, Y
         => DIN_net_8);
    
    \$1I82_ARRAY_8\ : MX2
      port map(A => \Q[23]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_6);
    
    \$1I82_ARRAY_5\ : MX2
      port map(A => \Q[26]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_3);
    
    \$1I37_ARRAY_16\ : MX2A
      port map(A => \Q[16]_net_1\, B => DATA(16), S => SLOAD, Y
         => DIN_net_15);
    
    \$1I37_ARRAY_15\ : MX2A
      port map(A => \Q[17]_net_1\, B => DATA(17), S => SLOAD, Y
         => DIN_net_14);
    
    \$1I82_ARRAY_6\ : MX2
      port map(A => \Q[25]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_4);
    
    \$1I82_ARRAY_24\ : MX2
      port map(A => \Q[7]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_22);
    
    \$1I37_ARRAY_19\ : MX2A
      port map(A => \Q[13]_net_1\, B => DATA(13), S => SLOAD, Y
         => DIN_net_18);
    
    \$1I37_ARRAY_12\ : MX2A
      port map(A => \Q[20]_net_1\, B => DATA(20), S => SLOAD, Y
         => DIN_net_11);
    
    \$1I113_ARRAY_7\ : DFN1E1C0
      port map(D => DIN_net_6, CLK => CLK_net_5, CLR => ACLR, E
         => \$1N156\, Q => \Q[25]_net_1\);
    
    \$1I113_ARRAY_6\ : DFN1E1C0
      port map(D => DIN_net_5, CLK => CLK_net_4, CLR => ACLR, E
         => \$1N156\, Q => \Q[26]_net_1\);
    
    \$1I113_ARRAY_21\ : DFN1E1C0
      port map(D => DIN_net_20, CLK => CLK_net_19, CLR => ACLR, E
         => \$1N156\, Q => \Q[11]_net_1\);
    
    \$1I82_ARRAY_14\ : MX2
      port map(A => \Q[17]_net_1\, B => CLOCK, S => SLOAD, Y => 
        CLK_net_12);
    
    \$1I113_ARRAY_29\ : DFN1E1C0
      port map(D => DIN_net_28, CLK => CLK_net_27, CLR => ACLR, E
         => \$1N156\, Q => \Q[3]_net_1\);
    
    \$1I113_ARRAY_11\ : DFN1E1C0
      port map(D => DIN_net_10, CLK => CLK_net_9, CLR => ACLR, E
         => \$1N156\, Q => \Q[21]_net_1\);
    

end DEF_ARCH; 
