-- Version: 7.0 7.0.0.13

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity Shift8_reg is 
    port(Shiften, Shiftin, Aclr, Clock : in std_logic;  Shiftout : 
        out std_logic) ;
end Shift8_reg;


architecture DEF_ARCH of  Shift8_reg is

    component DFN1C1
        port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic
        ) ;
    end component;

    component BUFF
        port(A : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component MX2
        port(A, B, S : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component INV
        port(A : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    signal Shiftout_1_net, BUFF_0_Y, BUFF_1_Y, INV_0_Y, 
        DFN1C1_4_Q, DFN1C1_6_Q, DFN1C1_2_Q, DFN1C1_5_Q, 
        DFN1C1_0_Q, DFN1C1_3_Q, DFN1C1_1_Q, MX2_4_Y, MX2_0_Y, 
        MX2_1_Y, MX2_7_Y, MX2_5_Y, MX2_3_Y, MX2_6_Y, MX2_2_Y : std_logic ;
    begin   

    Shiftout <= Shiftout_1_net;
    
    DFN1C1_6 : DFN1C1
      port map(D => MX2_1_Y, CLK => Clock, CLR => INV_0_Y, Q => 
        DFN1C1_6_Q);
    DFN1C1_3 : DFN1C1
      port map(D => MX2_2_Y, CLK => Clock, CLR => INV_0_Y, Q => 
        DFN1C1_3_Q);
    DFN1C1_2 : DFN1C1
      port map(D => MX2_4_Y, CLK => Clock, CLR => INV_0_Y, Q => 
        DFN1C1_2_Q);
    BUFF_1 : BUFF
      port map(A => Shiften, Y => BUFF_1_Y);
    MX2_0 : MX2
      port map(A => DFN1C1_0_Q, B => DFN1C1_5_Q, S => BUFF_1_Y, 
        Y => MX2_0_Y);
    INV_0 : INV
      port map(A => Aclr, Y => INV_0_Y);
    DFN1C1_5 : DFN1C1
      port map(D => MX2_5_Y, CLK => Clock, CLR => INV_0_Y, Q => 
        DFN1C1_5_Q);
    MX2_6 : MX2
      port map(A => DFN1C1_4_Q, B => Shiftin, S => BUFF_0_Y, Y => 
        MX2_6_Y);
    DFN1C1_Shiftout : DFN1C1
      port map(D => MX2_7_Y, CLK => Clock, CLR => INV_0_Y, Q => 
        Shiftout_1_net);
    DFN1C1_1 : DFN1C1
      port map(D => MX2_3_Y, CLK => Clock, CLR => INV_0_Y, Q => 
        DFN1C1_1_Q);
    MX2_3 : MX2
      port map(A => DFN1C1_1_Q, B => DFN1C1_3_Q, S => BUFF_1_Y, 
        Y => MX2_3_Y);
    DFN1C1_0 : DFN1C1
      port map(D => MX2_0_Y, CLK => Clock, CLR => INV_0_Y, Q => 
        DFN1C1_0_Q);
    MX2_4 : MX2
      port map(A => DFN1C1_2_Q, B => DFN1C1_6_Q, S => BUFF_0_Y, 
        Y => MX2_4_Y);
    BUFF_0 : BUFF
      port map(A => Shiften, Y => BUFF_0_Y);
    DFN1C1_4 : DFN1C1
      port map(D => MX2_6_Y, CLK => Clock, CLR => INV_0_Y, Q => 
        DFN1C1_4_Q);
    MX2_5 : MX2
      port map(A => DFN1C1_5_Q, B => DFN1C1_2_Q, S => BUFF_0_Y, 
        Y => MX2_5_Y);
    MX2_2 : MX2
      port map(A => DFN1C1_3_Q, B => DFN1C1_0_Q, S => BUFF_1_Y, 
        Y => MX2_2_Y);
    MX2_7 : MX2
      port map(A => Shiftout_1_net, B => DFN1C1_1_Q, S => 
        BUFF_1_Y, Y => MX2_7_Y);
    MX2_1 : MX2
      port map(A => DFN1C1_6_Q, B => DFN1C1_4_Q, S => BUFF_0_Y, 
        Y => MX2_1_Y);
end DEF_ARCH;
