-- Version: 7.0 SP1 7.0.1.14

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity VR_mon is 
    port(PUB, VRPU : in std_logic;  FPGAGOOD, PUCORE : out 
        std_logic) ;
end VR_mon;


architecture DEF_ARCH of  VR_mon is

    component VRPSM
        port(PUB, VRPU, VRINITSTATE, RTCPSMMATCH : in std_logic := 
        'U'; FPGAGOOD, PUCORE : out std_logic) ;
    end component;

    component VCC
        port( Y : out std_logic);
    end component;

    component GND
        port( Y : out std_logic);
    end component;

    signal GND_1_net, SOC_GND_NET, SOC_VCC_NET_IOCNTL, 
        SOC_GND_NET_VRFPD : std_logic ;
    begin   

    SOC_GND_NET <= GND_1_net;
    SOC_GND_NET_VRFPD <= GND_1_net;
    VCC_1_net : VCC port map(Y => SOC_VCC_NET_IOCNTL);
    GND_2_net : GND port map(Y => GND_1_net);
    VRPSM1 : VRPSM
      port map(PUB => PUB, VRPU => VRPU, VRINITSTATE => GND_1_net, 
        RTCPSMMATCH => GND_1_net, FPGAGOOD => FPGAGOOD, PUCORE => 
        PUCORE);
end DEF_ARCH;
