-- Version: 7.0 SP1 7.0.1.14

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity XTAL_RTC is

    port(XTL : in std_logic; CLKOUT, CLKOUTINT : out std_logic; 
        SELMODE, RTC_MODE0, RTC_MODE1 : in std_logic);

end XTAL_RTC;

architecture DEF_ARCH of XTAL_RTC is 

  component XTLOSC
    port(XTL : in std_logic := 'U'; CLKOUT : out std_logic; 
        SELMODE : in std_logic := 'U'; MODE : 
        in std_logic_vector(1 downto 0) := (others => 'U'); 
        RTCMODE : 
        in std_logic_vector(1 downto 0) := (others => 'U'));
  end component;

  component CLKSRC
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

    signal \CLKOUT\, \GND\ : std_logic;
    signal GND_power_net1 : std_logic;

begin 

    CLKOUT <= \CLKOUT\;
    \GND\ <= GND_power_net1;

    crystal : XTLOSC
      port map(XTL => XTL, CLKOUT => \CLKOUT\, SELMODE => SELMODE, 
        MODE(1) => \GND\, MODE(0) => \GND\, RTCMODE(1) => 
        RTC_MODE1, RTCMODE(0) => RTC_MODE0);
    
    clksrc1 : CLKSRC
      port map(A => \CLKOUT\, Y => CLKOUTINT);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);


end DEF_ARCH; 
