-- Version: 7.0 SP1 7.0.1.14

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity equal0 is 
    port( DataA : in std_logic_vector(31 downto 0); AEB : out 
        std_logic) ;
end equal0;


architecture DEF_ARCH of  equal0 is

    component AND3
        port(A, B, C : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component AND3C
        port(A, B, C : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component NOR2
        port(A, B : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    signal Temp_0_net, Temp_1_net, Temp_2_net, Temp_3_net, 
        Temp_4_net, Temp_5_net, Temp_6_net, Temp_7_net, 
        Temp_8_net, Temp_9_net, Temp_10_net, AND3_0_Y, AND3_3_Y, 
        AND3_1_Y, AND3_2_Y : std_logic ;
    begin   

    AND3_2 : AND3
      port map(A => Temp_0_net, B => Temp_1_net, C => Temp_2_net, 
        Y => AND3_2_Y);
    AND3C_Temp_3_inst : AND3C
      port map(A => DataA(9), B => DataA(10), C => DataA(11), 
        Y => Temp_3_net);
    AND3C_Temp_2_inst : AND3C
      port map(A => DataA(6), B => DataA(7), C => DataA(8), Y => 
        Temp_2_net);
    AND3C_Temp_8_inst : AND3C
      port map(A => DataA(24), B => DataA(25), C => DataA(26), 
        Y => Temp_8_net);
    NOR2_Temp_10_inst : NOR2
      port map(A => DataA(30), B => DataA(31), Y => Temp_10_net);
    AND3_0 : AND3
      port map(A => AND3_2_Y, B => Temp_3_net, C => Temp_4_net, 
        Y => AND3_0_Y);
    AND3C_Temp_5_inst : AND3C
      port map(A => DataA(15), B => DataA(16), C => DataA(17), 
        Y => Temp_5_net);
    AND3C_Temp_4_inst : AND3C
      port map(A => DataA(12), B => DataA(13), C => DataA(14), 
        Y => Temp_4_net);
    AND3_1 : AND3
      port map(A => Temp_8_net, B => Temp_9_net, C => Temp_10_net, 
        Y => AND3_1_Y);
    AND3C_Temp_1_inst : AND3C
      port map(A => DataA(3), B => DataA(4), C => DataA(5), Y => 
        Temp_1_net);
    AND3C_Temp_9_inst : AND3C
      port map(A => DataA(27), B => DataA(28), C => DataA(29), 
        Y => Temp_9_net);
    AND3_AEB : AND3
      port map(A => AND3_0_Y, B => AND3_3_Y, C => AND3_1_Y, Y => 
        AEB);
    AND3C_Temp_7_inst : AND3C
      port map(A => DataA(21), B => DataA(22), C => DataA(23), 
        Y => Temp_7_net);
    AND3C_Temp_6_inst : AND3C
      port map(A => DataA(18), B => DataA(19), C => DataA(20), 
        Y => Temp_6_net);
    AND3_3 : AND3
      port map(A => Temp_5_net, B => Temp_6_net, C => Temp_7_net, 
        Y => AND3_3_Y);
    AND3C_Temp_0_inst : AND3C
      port map(A => DataA(0), B => DataA(1), C => DataA(2), Y => 
        Temp_0_net);
end DEF_ARCH;
